Download it now!
Bug 75330 - EDITING: "Show the legend without overlapping the chart"
Summary: EDITING: "Show the legend without overlapping the chart"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.0.0 target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: OOXML-Chart Chart-Legends
  Show dependency treegraph
 
Reported: 2014-02-21 15:20 UTC by Luke
Modified: 2020-07-06 21:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
With and without feature enabled (254.90 KB, image/jpeg)
2014-02-21 15:20 UTC, Luke
Details
Chart showing showing feature check/unchecked (11.21 KB, application/vnd.ms-excel.12)
2014-02-21 15:24 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-02-21 15:20:15 UTC
Created attachment 94520 [details]
With and without feature enabled

It would be very convenient for LibreOffice to have the ability to toggle automatically resizing the chart around the legend. It's very tedious for the user to have to resize and move the chart around the legend, so it should be enabled by default.
This feature could be disabled by a check box in Chart->Edit->Format Legend->Position. 

The feature could also improve interoperability with Microsoft Office files, since they have the ability to toggle this setting.
Comment 1 Luke 2014-02-21 15:24:45 UTC
Created attachment 94521 [details]
Chart showing showing feature check/unchecked

This .xlsx chart does not open properly in LO 4.2 or 4.3. Hopefully adding this feature would help.
Comment 2 Jorendc 2014-04-27 12:13:23 UTC
Looks like a reasonable feature request to me.
Comment 3 Commit Notification 2020-03-05 11:28:49 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9fab1ba8ddc59924c633aa17c65f7330a4762726

tdf#75330 add a new overlay/no-overlay feature for the legend

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-03-05 11:46:37 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/65123d41f62597053bc3893ee4fb46868a6b1f2d

tdf#75330 chart: implement ODF import/export of legend overlay feature

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-06-22 10:16:21 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/fbfd71ff234e20b57931fbfa7914ef277a605f33

tdf#75330 (related) Document "Show the legend without overlapping chart" box
Comment 6 Commit Notification 2020-06-22 10:38:14 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/help/commit/89ab73013252be3121223796f74432d37642f2be

tdf#75330 (related) Document "Show the legend without overlapping chart" box
Comment 7 BogdanB 2020-07-06 21:45:17 UTC
Verified. It's like in the image from description of the bug

Version: 7.0.0.1
Build ID: 04ba7e3f1e51af6c5d653e543a620e36719083fd
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded